Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.jdo.annotations
Annotation Type Element

    @Target(value={FIELD,METHOD})
    @Retention(value=RUNTIME)
    public @interface Element

Annotation for the element of a collection/array relation. Corresponds to the xml element "element".

Since:
  2.1
Version:
  2.1

Optional Element Summary
`java.lang.String` | `column` Name of the column to store the element in.
`Column[]` | `columns` The column(s) for the element.
`ForeignKeyAction` | `deleteAction` Delete action to apply to any foreign key for the element.
`java.lang.String` | `dependent` Whether the element is dependent on the owner, and will be deleted when the owner is deleted.
`java.lang.String` | `embedded` Whether this element is embedded.
`Embedded[]` | `embeddedMapping` The embedded mapping for the element.
`Extension[]` | `extensions` Vendor extensions.
`java.lang.String` | `foreignKey` Name for a generated foreign key constraint.
`java.lang.String` | `generateForeignKey` Generate or assume a foreign key constraint exists on the column or columns associated with this join.
`java.lang.String` | `index` The name of the index to generate.
`java.lang.String` | `indexed` Whether the value column(s) should be indexed.
`java.lang.String` | `mappedBy` Name of the member in the target class that forms a bidirectional relationship with this member.
`java.lang.String` | `serialized` Whether the element is to be stored serialized (into a join table)
`java.lang.String` | `table` Name of the table for the element.
`java.lang.Class[]` | `types` Types of the elements.
`java.lang.String` | `unique` Whether a unique constraint should be generated or assumed.
`java.lang.String` | `uniqueKey` The name of the unique key constraint to generate.
`ForeignKeyAction` | `updateAction` Update action to apply to any foreign key for the element

### types

    public abstract java.lang.Class[] types

  Types of the elements. This can be determined if using JDK1.5 generics but is required otherwise. Multiple types can be specified if the implementation supports multiple types.

  Returns:
    the types of elements
  Default:
    {}

### serialized

    public abstract java.lang.String serialized

  Whether the element is to be stored serialized (into a join table)

  Returns:
    whether the element is to be stored serialized (into a join table)
  Default:
    ""

### embedded

    public abstract java.lang.String embedded

  Whether this element is embedded.

  Returns:
    whether this element is embedded
  Default:
    ""

### embeddedMapping

    public abstract Embedded[] embeddedMapping

  The embedded mapping for the element.

  Returns:
    the embedded mapping for the element
  Default:
    {}

### dependent

    public abstract java.lang.String dependent

  Whether the element is dependent on the owner, and will be deleted when the owner is deleted.

  Returns:
    whether the element is dependent on the owner, and will be deleted when the owner is deleted
  Default:
    ""

### table

    public abstract java.lang.String table

  Name of the table for the element.

  Returns:
    name of the table for the element
  Default:
    ""

### column

    public abstract java.lang.String column

  Name of the column to store the element in.

  Returns:
    name of the column to store the element in
  Default:
    ""

### deleteAction

    public abstract ForeignKeyAction deleteAction

  Delete action to apply to any foreign key for the element.

  Returns:
    delete action to apply to any foreign key for the element
  Default:
    javax.jdo.annotations.ForeignKeyAction.UNSPECIFIED

### updateAction

    public abstract ForeignKeyAction updateAction

  Update action to apply to any foreign key for the element

  Returns:
    update action to apply to any foreign key for the element
  Default:
    javax.jdo.annotations.ForeignKeyAction.UNSPECIFIED

### indexed

    public abstract java.lang.String indexed

  Whether the value column(s) should be indexed.

  Returns:
    whether the value column(s) should be indexed.
  Default:
    ""

### index

    public abstract java.lang.String index

  The name of the index to generate.

  Returns:
    the name of the index
  Default:
    ""

### unique

    public abstract java.lang.String unique

  Whether a unique constraint should be generated or assumed.

  Returns:
    whether a unique constraint should be generated or assumed
  Default:
    ""

### uniqueKey

    public abstract java.lang.String uniqueKey

  The name of the unique key constraint to generate.

  Returns:
    the name of the unique key constraint
  Default:
    ""

### mappedBy

    public abstract java.lang.String mappedBy

  Name of the member in the target class that forms a bidirectional relationship with this member.

  Returns:
    name of the member in the target class that forms a bidirectional relationship with this member
  Default:
    ""

### columns

    public abstract Column[] columns

  The column(s) for the element.

  Returns:
    the column(s) for the element
  Default:
    {}

### generateForeignKey

    public abstract java.lang.String generateForeignKey

  Generate or assume a foreign key constraint exists on the column or columns associated with this join. Specify "true" or "false".

  Returns:
    whether to generate or assume a primary key constraint
  Default:
    ""

### foreignKey

    public abstract java.lang.String foreignKey

  Name for a generated foreign key constraint.

  Returns:
    the name of the generated foreign key constraint
  Default:
    ""

### extensions

    public abstract Extension[] extensions

  Vendor extensions.

  Returns:
    the vendor extensions
  Default:
    {}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT